#
# spec file for package kpuzzle (Version 0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         kpuzzle
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      A jigsaw puzzle game
Version:      0.3
Release:      157
Source0:      kpuzzle-0.3.tar.bz2
Patch:        kpuzzle-0.3.dif

%description
You can spend a lot of hours with this game ...

Authors:
--------
    Michael Wand <mwand@gmx.de>

SuSE series: k2de

%prep
%setup -n kpuzzle-0.3
%patch

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc COPYING INSTALL NEWS AUTHORS ChangeLog README BUGS 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Games
%dir /opt/kde2/share/apps/kpuzzle
%dir /opt/kde2/share/apps/kpuzzle/data
%dir /opt/kde2/share/apps/kpuzzle/levels
%dir /opt/kde2/share/doc/HTML/de
%dir /opt/kde2/share/doc/HTML/en/kpuzzle
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
/opt/kde2/bin/kpuzzle
/opt/kde2/share/applnk/Games/kpuzzle.desktop
/opt/kde2/share/apps/kpuzzle/data/background.bmp
/opt/kde2/share/apps/kpuzzle/data/biglogo.bmp
/opt/kde2/share/apps/kpuzzle/data/large-main.xpm
/opt/kde2/share/apps/kpuzzle/data/large.xpm
/opt/kde2/share/apps/kpuzzle/data/lose.bmp
/opt/kde2/share/apps/kpuzzle/data/newgame.xpm
/opt/kde2/share/apps/kpuzzle/data/pause.bmp
/opt/kde2/share/apps/kpuzzle/data/pause.xpm
/opt/kde2/share/apps/kpuzzle/data/piece1-b.bmp
/opt/kde2/share/apps/kpuzzle/data/piece1-l-b.bmp
/opt/kde2/share/apps/kpuzzle/data/piece1-l-t.bmp
/opt/kde2/share/apps/kpuzzle/data/piece1-l.bmp
/opt/kde2/share/apps/kpuzzle/data/piece1-r-b.bmp
/opt/kde2/share/apps/kpuzzle/data/piece1-r-t.bmp
/opt/kde2/share/apps/kpuzzle/data/piece1-r.bmp
/opt/kde2/share/apps/kpuzzle/data/piece1-t.bmp
/opt/kde2/share/apps/kpuzzle/data/piece1.bmp
/opt/kde2/share/apps/kpuzzle/data/piece2-b.bmp
/opt/kde2/share/apps/kpuzzle/data/piece2-l-b.bmp
/opt/kde2/share/apps/kpuzzle/data/piece2-l.bmp
/opt/kde2/share/apps/kpuzzle/data/piece2-r-b.bmp
/opt/kde2/share/apps/kpuzzle/data/piece2-r-t.bmp
/opt/kde2/share/apps/kpuzzle/data/piece2-r.bmp
/opt/kde2/share/apps/kpuzzle/data/piece2-t.bmp
/opt/kde2/share/apps/kpuzzle/data/piece2.bmp
/opt/kde2/share/apps/kpuzzle/data/stop.xpm
/opt/kde2/share/apps/kpuzzle/data/win.bmp
/opt/kde2/share/apps/kpuzzle/levels/electricity.bmp
/opt/kde2/share/apps/kpuzzle/levels/foto1.bmp
/opt/kde2/share/apps/kpuzzle/levels/foto2.bmp
/opt/kde2/share/apps/kpuzzle/levels/foto3.bmp
/opt/kde2/share/apps/kpuzzle/levels/foto4.bmp
/opt/kde2/share/apps/kpuzzle/levels/foto5.bmp
/opt/kde2/share/apps/kpuzzle/levels/geometry.bmp
/opt/kde2/share/apps/kpuzzle/levels/plants.bmp
/opt/kde2/share/apps/kpuzzle/levels/raum.bmp
/opt/kde2/share/apps/kpuzzle/levels/stadt.bmp
/opt/kde2/share/apps/kpuzzle/levels/stars.bmp
/opt/kde2/share/doc/HTML/de/kpuzzle
/opt/kde2/share/doc/HTML/en/kpuzzle/common
/opt/kde2/share/doc/HTML/en/kpuzzle/cont-1.html
/opt/kde2/share/doc/HTML/en/kpuzzle/cont-2.html
/opt/kde2/share/doc/HTML/en/kpuzzle/cont-3.html
/opt/kde2/share/doc/HTML/en/kpuzzle/cont-4.html
/opt/kde2/share/doc/HTML/en/kpuzzle/cont-5.html
/opt/kde2/share/doc/HTML/en/kpuzzle/index.html
/opt/kde2/share/doc/HTML/en/kpuzzle/scr_1.png
/opt/kde2/share/icons/locolor/16x16/apps/kpuzzle.png
/opt/kde2/share/icons/locolor/32x32/apps/kpuzzle.png
/opt/kde2/share/locale/de/LC_MESSAGES/kpuzzle.mo

%changelog -n kpuzzle
* Mon Aug 13 2001 - ro@suse.de
- fixed for autoconf 2.52
* Mon Aug 13 2001 - ro@suse.de
- neededforbuild updated
* Wed Jun 06 2001 - adrian@suse.de
- New version 0.3
* Mon Apr 02 2001 - @suse.de
- Spec file created from kpuzzle-0.2.tar.bz2 by autospec
* Sat Mar 17 2001 - adrian@suse.de
- Spec file created from kpuzzle-0.2.tar.bz2 by autospec
